Bug 1877751 - fwupd replacing dbxtool.x86_64 8-13.fc33
Summary: fwupd replacing dbxtool.x86_64 8-13.fc33
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: shim
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-10 11:22 UTC by Harald Reindl
Modified: 2021-05-05 01:09 UTC (History)
4 users (show)

Fixed In Version: shim-15.4-4 shim-15.4-5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-23 21:03:26 UTC
Type: Bug


Attachments (Terms of Use)

Description Harald Reindl 2020-09-10 11:22:51 UTC
are you kidding me blowing up virtual machines with dbxtool >= 0.6-3 is needed by (installed) shim-x64-15-8.x86_64 that much?

Name         : dbxtool
Version      : 8
Release      : 13.fc33
Architecture : x86_64
Size         : 57 k

fwupd  1.4.6-1.fc33 2.8 M replacing  dbxtool.x86_64 8-13.fc33

it#s not only about the useless 2.8 MB of fwupd itself but the terrible dependecy chain

Installing dependencies:
 ModemManager-glib                                   x86_64                           1.14.2-1.fc33                             fedora                                    281 k
 bubblewrap                                          x86_64                           0.4.1-2.fc33                              fedora                                     50 k
 dmidecode                                           x86_64                           1:3.2-8.fc33                              fedora                                     88 k
 flashrom                                            x86_64                           1.2-3.fc33                                fedora                                    318 k
 fwupd                                               x86_64                           1.4.6-1.fc33                              updates-testing                           2.8 M
     replacing  dbxtool.x86_64 8-13.fc33
 glib-networking                                     x86_64                           2.65.90-1.fc33                            fedora                                    160 k
 gsettings-desktop-schemas                           x86_64                           3.37.2-2.fc33                             fedora                                    679 k
 json-glib                                           x86_64                           1.5.2-1.fc33                              fedora                                    150 k
 libftdi                                             x86_64                           1.4-3.fc33                                fedora                                     49 k
 libgcab1                                            x86_64                           1.4-3.fc33                                fedora                                     77 k
 libgudev                                            x86_64                           232-8.fc33                                fedora                                     33 k
 libgusb                                             x86_64                           0.3.5-1.fc33                              fedora                                     50 k
 libjcat                                             x86_64                           0.1.3-3.fc33                              fedora                                     69 k
 libmbim                                             x86_64                           1.24.2-1.fc33                             fedora                                    148 k
 libmodman                                           x86_64                           2.0.1-23.fc33                             fedora                                     33 k
 libproxy                                            x86_64                           0.4.15-23.fc33                            fedora                                     64 k
 libqmi                                              x86_64                           1.26.4-1.fc33                             updates-testing                           724 k
 libsmbios                                           x86_64                           2.4.2-10.fc33                             fedora                                     93 k
 libsoup                                             x86_64                           2.71.0-2.fc33                             fedora                                    389 k
 libxmlb                                             x86_64                           0.2.1-1.fc33                              updates-testing                           101 k
 polkit-libs                                         x86_64                           0.117-2.fc33                              fedora                                     67 k
 shared-mime-info                                    x86_64                           2.0-3.fc33                                fedora                                    308 k

Comment 1 Richard Hughes 2020-09-10 19:33:37 UTC
I don't know why shim requires dbxtool, that seems a bit odd to me. I guess we could split off the dbxtool binary in the fwupd binary, but the new binary requires all kinds of fwupd functionality (e.g. like the ESP volume verification) that might be difficult to untangle.

Comment 2 Harald Reindl 2020-09-10 20:03:43 UTC
i don't even know what "dbxtool" is or if it's really needed for anything at all, Fedora carries many questionable dependencies, fwupd is not needed in virtual machines and renders all the effort of kernel-core to make such setups smaller ineffective

i would like not need adding a fake-provides in my "linux-firmware-dummy" which as example prevents vritual machines here for year to install the useless linux-firmware package in kernel-post-install

Comment 3 Richard Hughes 2020-09-11 21:34:45 UTC
Lets reassign to shim and talk with Peter.

Comment 4 Steve Susbauer 2020-11-10 04:27:49 UTC
Removing fwupd because you have no interest in the functionality now results in an unbootable system with no warning (other than the dependency chain).

You might also consider if removing shim might create a new boot entry for grub directly if grub is still installed, so at least the system is usable. As is it seems like it's too easy to break your system with a benign clean-up.

Comment 5 Harald Reindl 2020-11-10 04:52:42 UTC
my problem is the depndecny chain compared to a single dbxtool package with 35k

i use Fedora since 2006 as my daily driver and know that these deps are grrowing directly and indirectly over the years (3 of the dependencies will become a new one which has anotehr 2 deps sooner or later)

2.8 MB plus 20 deps is a joke

Comment 6 Fedora Update System 2021-04-06 19:47:42 UTC
FEDORA-2021-cab258a413 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-cab258a413

Comment 7 Fedora Update System 2021-04-06 19:47:48 UTC
FEDORA-2021-f5540ef3d6 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-f5540ef3d6

Comment 8 Fedora Update System 2021-04-07 18:15:51 UTC
FEDORA-2021-cab258a413 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-cab258a413`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-cab258a413

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-04-21 11:20:21 UTC
FEDORA-2021-cab258a413 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-cab258a413

Comment 10 Fedora Update System 2021-04-21 15:00:53 UTC
FEDORA-2021-cab258a413 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-cab258a413`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-cab258a413

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-04-23 21:03:26 UTC
FEDORA-2021-cab258a413 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2021-05-05 01:09:21 UTC
FEDORA-2021-6af97ebae4 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.